%define oname   gherkin

Name:       ruby-%{oname}
Version:    2.3.6
Release:    %mkrel 1
Summary:    Fast Gherkin lexer/parser
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/aslakhellesoy/gherkin
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(rake-compiler) >= 0.7.1
Requires:   ruby(abi) = 1.8

%description
A fast Gherkin lexer/parser based on the Ragel State Machine Compiler.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/gherkin_lexer_*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Mon Apr 25 2011 shikamaru <shikamaru> 2.3.6-1.mga1
+ Revision: 90233
- new version 2.3.6

* Sat Apr 16 2011 shikamaru <shikamaru> 2.3.5-1.mga1
+ Revision: 86456
- new version 2.3.5

* Wed Jan 26 2011 shikamaru <shikamaru> 2.2.9-3.mga1
+ Revision: 39676
- rebuild for new rubygems.rb

* Tue Jan 25 2011 shikamaru <shikamaru> 2.2.9-2.mga1
+ Revision: 39437
- imported package ruby-gherkin


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.2.9-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Wed Dec 01 2010 Rémy Clouard <shikamaru@mandriva.org> 2.2.9-1mdv2011.0
+ Revision: 604596
- bump release for new rspec/cucumber

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 1.0.30-1mdv2011.0
+ Revision: 592812
- import rubygem-gherkin

